reporting_banner

Telerik Reporting

System Requirements

Operating System Support

  • Desktop designers (Visual Studio integrated and Standalone Report Designer) require Windows 11, 10, 8.1, 7
  • Report generation engine and Reporting services for preview & design require:
    • Windows Server 2008+ on .NET & .NET Framework
    • Linux on .NET
    • macOS 10.12+ on .NET
    • For Azure applications: Windows Azure SDK 1.3+

.NET and Web Server Support

  • Report generation engine requires .NET 6, .NET 7, .NET 8, or .NET Framework 4.6.2+ Full Profile (Client Profile is not supported)
  • Standalone Report Designer for .NET (SRD.NET) requires .NET 8 runtime
  • Standalone Report Designer (SRD) requires .NET Framework 4.6.2+
  • Reporting  services for preview & design require ASP.NET Core (on .NET) or ASP.NET Web API (on .NET Framework)
  • Internet Information Services for .NET 6+ and .NET Framework applications on Windows, or Kestrel Web Server for cross-platform ASP.NET Core applications
  • NOTE for an upcoming change: The 2024 Q3 is the last product version that delivers assets supporting .NET 7 applications. The next 2024 Q4 version will support applications targeting .NET 6, .NET 8, .NET 9.

IDE Support

  • Microsoft Visual Studio 2015, 2017, 2019, 2022
  • Preview and RC versions of Visual Studio are not supported
get-started-waves-low

Browser Support

Windows Mac OS Linux Mobile
edge browser  Edge *20.0+
-
-
HTML5-compliant versions
ff  Firefox *HTML5-compliant versionsHTML5-compliant versionsHTML5-compliant versionsHTML5-compliant versions
chrome  Chrome *HTML5-compliant versionsHTML5-compliant versionsHTML5-compliant versions
HTML5-compliant versions
opera  Opera *10+10+10+HTML5-compliant versions
safari  Safari *4.0+4.0+-HTML5-compliant versions

* Notes:

HTML5/JS and Mobile Support

  • iOS 5+
  • Android 4+
  • Windows Phone 7.5+
  • WinRT 7.5+

ASP.NET MVC Support

  • ASP.NET MVC 4+

ASP.NET AJAX Support

  •  ASP.NET AJAX 3.5+

WPF Support

  • WPF 4.6.2+ Tools/SDK
  • .NET 6+

WinForms Support

  • .NET Framework 4.6.2+
  • .NET 6+ 

ASP.NET Core Support

  • .NET 6+